[Pkg-libvirt-commits] [SCM] Libguestfs Debian packaging branch, master, updated. debian/1.10.6-3

Hilko Bengen bengen at debian.org
Sun Aug 7 21:49:33 UTC 2011


The following commit has been merged in the master branch:
commit e6743be96df8d2d42976c0b542fb39e26282603b
Author: Hilko Bengen <bengen at debian.org>
Date:   Sun Aug 7 14:57:55 2011 +0200

    Integrated update-guestfs-appliance using debconf.

diff --git a/debian/control b/debian/control
index 8b928b6..bbdbae4 100644
--- a/debian/control
+++ b/debian/control
@@ -4,6 +4,7 @@ Priority: extra
 Maintainer: Debian Libvirt Maintainers <pkg-libvirt-maintainers at lists.alioth.debian.org>
 Uploaders: Richard Jones <rjones at redhat.com>, Guido Günther <agx at sigxcpu.org>, Hilko Bengen <bengen at debian.org>
 Build-Depends: debhelper (>= 7.0.50~), autotools-dev, aptitude,
+  po-debconf,
   febootstrap (>= 3.2),
   libreadline-dev, libaugeas-dev, libhivex-dev, libvirt-dev,
   libmagic-dev, libncurses5-dev, libpcre3-dev, libxml2-dev,
diff --git a/debian/libguestfs0.config b/debian/libguestfs0.config
new file mode 100755
index 0000000..0c56edc
--- /dev/null
+++ b/debian/libguestfs0.config
@@ -0,0 +1,9 @@
+#!/bin/sh
+
+set -e
+
+. /usr/share/debconf/confmodule
+
+db_set libguestfs/update-appliance false
+db_input high libguestfs/update-appliance || true
+db_go || true
diff --git a/debian/libguestfs0.postinst b/debian/libguestfs0.postinst
new file mode 100755
index 0000000..cda6b23
--- /dev/null
+++ b/debian/libguestfs0.postinst
@@ -0,0 +1,31 @@
+#!/bin/sh
+
+set -e
+
+case "$1" in
+    configure|reconfigure)
+        . /usr/share/debconf/confmodule
+        db_get libguestfs/update-appliance
+        if [ "$RET" = true ]; then
+            update-guestfs-appliance >&2 || true
+        fi
+    ;;
+
+    abort-upgrade|abort-remove|abort-deconfigure)
+    ;;
+
+    *)
+        echo "postinst called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+#DEBHELPER#
+
+exit 0
+
+
+
+
+
+
diff --git a/debian/libguestfs0.postrm b/debian/libguestfs0.postrm
new file mode 100755
index 0000000..e4e40b7
--- /dev/null
+++ b/debian/libguestfs0.postrm
@@ -0,0 +1,24 @@
+#!/bin/sh
+
+set -e
+
+case "$1" in
+    purge)
+        rm -f \
+            /usr/lib/guestfs/supermin.d/hostfiles \
+            /usr/lib/guestfs/supermin.d/hostfiles-t \
+            /usr/lib/guestfs/supermin.d/base.img
+    ;;
+
+    remove|upgrade|failed-upgrade|abort-install|abort-upgrade|disappear)
+    ;;
+
+    *)
+        echo "postrm called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+#DEBHELPER#
+
+exit 0
diff --git a/debian/libguestfs0.templates b/debian/libguestfs0.templates
new file mode 100644
index 0000000..d0c0336
--- /dev/null
+++ b/debian/libguestfs0.templates
@@ -0,0 +1,10 @@
+Template: libguestfs/update-appliance
+Type: boolean
+Default: false
+_Description: Create or update supermin appliance now?
+ libguestfs needs a supermin appliance to perform its work. To
+ generate or update it, network access to a package repository is
+ needed.
+ .
+ update-guestfs-appliance(8) can also be used at a later time to
+ create or update the supermin appliance.
diff --git a/debian/po/POTFILES.in b/debian/po/POTFILES.in
new file mode 100644
index 0000000..1ffc2e0
--- /dev/null
+++ b/debian/po/POTFILES.in
@@ -0,0 +1 @@
+[type: gettext/rfc822deb] libguestfs0.templates
diff --git a/debian/po/templates.pot b/debian/po/templates.pot
new file mode 100644
index 0000000..66a20b8
--- /dev/null
+++ b/debian/po/templates.pot
@@ -0,0 +1,40 @@
+# SOME DESCRIPTIVE TITLE.
+# Copyright (C) YEAR THE PACKAGE'S COPYRIGHT HOLDER
+# This file is distributed under the same license as the PACKAGE package.
+# FIRST AUTHOR <EMAIL at ADDRESS>, YEAR.
+#
+#, fuzzy
+msgid ""
+msgstr ""
+"Project-Id-Version: PACKAGE VERSION\n"
+"Report-Msgid-Bugs-To: libguestfs at packages.debian.org\n"
+"POT-Creation-Date: 2011-08-07 18:42+0200\n"
+"PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
+"Last-Translator: FULL NAME <EMAIL at ADDRESS>\n"
+"Language-Team: LANGUAGE <LL at li.org>\n"
+"Language: \n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=CHARSET\n"
+"Content-Transfer-Encoding: 8bit\n"
+
+#. Type: boolean
+#. Description
+#: ../libguestfs0.templates:1001
+msgid "Create or update supermin appliance now?"
+msgstr ""
+
+#. Type: boolean
+#. Description
+#: ../libguestfs0.templates:1001
+msgid ""
+"libguestfs needs a supermin appliance to perform its work. To generate or "
+"update it, network access to a package repository is needed."
+msgstr ""
+
+#. Type: boolean
+#. Description
+#: ../libguestfs0.templates:1001
+msgid ""
+"update-guestfs-appliance(8) can also be used at a later time to create or "
+"update the supermin appliance."
+msgstr ""

-- 
Libguestfs Debian packaging



More information about the Pkg-libvirt-commits mailing list